import { toRaw } from 'vue'
import { formData, formRef } from './search.compositions'

export const handleReset = () => {
    formData.value = {
        state: null,
        presenter: '',
        seat: '',
        workType: null,
        startTime: null,
        stopTime: null
    }
    formRef.value?.resetFields()
    handleConfirm()
}
export const handleConfirm = () => {
    uni.$mocpJump.navigateBack()
    uni.$emit('moveDecisionReload', { params: toRaw(formData.value) })
}
